set time on;

set echo on;

set feedback 1;

spool /aplic/q02b/scripts/000alt_q022gt00_70013.lst;
SELECT TO_CHAR(SYSDATE,'DD-MM-YYYY:HH24:MI:SS') || 'INI 000alt_q022gt00_70013' from dual;
 
WHENEVER SQLERROR EXIT SQL.SQLCODE;
 
ALTER TABLE Q022GT00 ADD Q022GT00_FUERA_PLAZO VARCHAR(1);
ALTER TABLE Q022GT00 ADD Q022GT00_USU_ALTA VARCHAR(10) DEFAULT -1 not null;
ALTER TABLE Q022GT00 ADD Q022GT00_USU_MODIF VARCHAR(10) DEFAULT -1;

COMMENT ON COLUMN "Q02B"."Q022GT00"."Q022GT00_FUERA_PLAZO" is 'Grabado fuera de plazo el cuestionario';
COMMENT ON COLUMN "Q02B"."Q022GT00"."Q022GT00_USU_ALTA" is 'Usuario que graba el alta del cuestionario';
COMMENT ON COLUMN "Q02B"."Q022GT00"."Q022GT00_USU_MODIF" is 'Usuario que graba la modificación del cuestionario';

commit;
SELECT TO_CHAR(SYSDATE,'DD-MM-YYYY:HH24:MI:SS')  ||  'FIN 000alt_q022gt00_70013' from dual;

spool off;
set echo off;

exit;
